Loading...
Searching...
No Matches
attr_flags Struct Reference

Attribute value flags. More...

`#include <kdumpfile-priv.h>`

## Data Fields

uint8_t | isset: 1
| Zero if attribute has no value.
uint8_t | persist: 1
| Persistent (not cleared on re-open)
uint8_t | dynstr: 1
| Dynamically allocated string.
uint8_t | indirect: 1
| Actual value is at `*pval`.
uint8_t | invalid: 1
| Value needs revalidation.

## Detailed Description

Attribute value flags.

The documentation for this struct was generated from the following file:

- src/kdumpfile/kdumpfile-priv.h